﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;

namespace PanoramaApp1
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();

            // Set the data context of the listbox control to the sample data
            DataContext = App.ViewModel;
            this.Loaded += new RoutedEventHandler(MainPage_Loaded);
        }

        // Load data for the ViewModel Items
        private void MainPage_Loaded(object sender, RoutedEventArgs e)
        {
            if (!App.ViewModel.IsDataLoaded)
            {
                App.ViewModel.LoadData();
            }
        }

        private void Image_1_MouseEnter(object sender, MouseEventArgs e)
        {
            // create a paragraph
            Paragraph prgParagraph = new Paragraph();
            // create some text, and add it to the paragraph
            Bold bldText = new Bold();
            bldText.Inlines.Add(new Run() { Text = "Душица (лат. Origánum) — род травянистых растений семейства Яснотковые (Lamiaceae), включает в себя 45—50 видов." });
            Run plainText = new Run();
            plainText.Text = "\n" + "Название встречается в трудах Диоскорида и Гиппократа и происходит от греческих слов oros — холм, гора и ganos — блеск, орнамент и может быть переведено как: блестящее растение, растущее на камнях, или украшение гор, так как в период цветения становится глянцевым, блестящим и покрывает склоны гор нарядным ковром.";
            prgParagraph.Inlines.Add(bldText);
            prgParagraph.Inlines.Add(plainText);
            rtb1.Blocks.Add(prgParagraph);
        }

        private void Image_2_MouseEnter(object sender, MouseEventArgs e)
        {
            // create a paragraph
            Paragraph prgParagraph = new Paragraph();
            // create some text, and add it to the paragraph
            Bold bldText = new Bold();
            bldText.Inlines.Add(new Run() { Text = "Зверобой продырявленный, или Зверобой обыкновенный (лат. Hypéricum perforátum) — многолетнее травянистое растение; типовой вид рода Зверобой семейства Зверобойные (Hypericaceae)." });
            Run plainText = new Run();
            plainText.Text = "\n" + "Народные названия: заячья кровь, зверобой дырявый, зверобой жёлтый, зверобойник, красная травица, кровавец, кровца, хворобой";
            prgParagraph.Inlines.Add(bldText);
            prgParagraph.Inlines.Add(plainText);
            rtb2.Blocks.Add(prgParagraph);
        }

        private void Image_3_MouseEnter(object sender, MouseEventArgs e)
        {
            // create a paragraph
            Paragraph prgParagraph = new Paragraph();
            // create some text, and add it to the paragraph
            Bold bldText = new Bold();
            bldText.Inlines.Add(new Run() { Text = "Мята перечная (лат. Méntha piperíta) — травянистое растение рода Мята семейства Яснотковые." });
            Run plainText = new Run();
            plainText.Text = "\n" + "Культурное растение было получено путём гибридизации дикорастущих видов мяты — мяты водной (Mentha aquatica) и мяты садовой (Mentha spicata)." + "\n" + "Культивируют повсеместно в садах и огородах. Иногда дичает";
            prgParagraph.Inlines.Add(bldText);
            prgParagraph.Inlines.Add(plainText);
            rtb3.Blocks.Add(prgParagraph);
        }

        private void Image_4_MouseEnter(object sender, MouseEventArgs e)
        {
            // create a paragraph
            Paragraph prgParagraph = new Paragraph();
            // create some text, and add it to the paragraph
            Bold bldText = new Bold();
            bldText.Inlines.Add(new Run() { Text = "Белый гриб (лат. Boletus edulis), или боровик (сокращённо: белый) — гриб из рода Боровик" });
            Run plainText = new Run();
            plainText.Text = "\n" + "В старину «грибами» называли главным образом съедобные грибы, в наибольшей мере это слово относилось к белому грибу как к наиболее ценному.";
            prgParagraph.Inlines.Add(bldText);
            prgParagraph.Inlines.Add(plainText);
            rtb4.Blocks.Add(prgParagraph);
        }

        private void Image_5_MouseEnter(object sender, MouseEventArgs e)
        {
            // create a paragraph
            Paragraph prgParagraph = new Paragraph();
            // create some text, and add it to the paragraph
            Bold bldText = new Bold();
            bldText.Inlines.Add(new Run() { Text = "Вёшенка (лат. Pleurotus) — род грибов семейства Вёшенковые, или Плевротовые (Pleurotaceae)" });
            Run plainText = new Run();
            plainText.Text = "\n" + "Развивается на субстрате из неживых растительных остатков, из которого способен усваивать целлюлозу и лигнин. В природе растёт на стволах засохших деревьев" + "\n" + "Существуют технологии промышленного разведения вёшенки на древесных опилках, соломе злаков, известны любительские технологии разведения грибов на шелухе подсолнечника";
            prgParagraph.Inlines.Add(bldText);
            prgParagraph.Inlines.Add(plainText);
            rtb5.Blocks.Add(prgParagraph);
        }

        private void Image_6_MouseEnter(object sender, MouseEventArgs e)
        {
            // create a paragraph
            Paragraph prgParagraph = new Paragraph();
            // create some text, and add it to the paragraph
            Bold bldText = new Bold();
            bldText.Inlines.Add(new Run() { Text = "Шампиньон (лат. Agaricus) — род пластинчатых грибов семейства Шампиньоновые (Агариковые) (лат. Agaricaceae). Русское название «шампиньон» происходит от фр. champignon, означающего просто гриб" });
            Run plainText = new Run();
            plainText.Text = "\n" + "В пищевых шампиньонах содержится более 20 аминокислот, в том числе все незаменимые для человека: метионин, цистеин, цистин, триптофан, треонин, валин, лизин, фенилаланин" + "\n" + "Из плодовых тел некоторых шампиньонов выделяют антибиотики";
            prgParagraph.Inlines.Add(bldText);
            prgParagraph.Inlines.Add(plainText);
            rtb6.Blocks.Add(prgParagraph);
        }
    }
}